- Qt 6.8
- Qt Core
- C++ Classes
- QTimerEvent
- Qt 6.8.1 Reference Documentation

# QTimerEvent Class

The QTimerEvent class contains parameters that describe a timer event. More...

Header: | `#include <QTimerEvent>`
CMake: | `find_package(Qt6 REQUIRED COMPONENTS Core)` `target_link_libraries(mytarget PRIVATE Qt6::Core)`
qmake: | `QT += core`
Inherits: | QEvent

- List of all members, including inherited members
- QTimerEvent is part of Event Classes.

## Public Functions

`(since 6.8)` | QTimerEvent(Qt::TimerId timerId)
| QTimerEvent(int timerId)
`(since 6.8)` Qt::TimerId | id() const
int | timerId() const

## Detailed Description

Timer events are sent at regular intervals to objects that have started one or more timers. Each timer has a unique identifier. A timer is started with QObject::startTimer().

The QChronoTimer class provides a high-level programming interface that uses signals instead of events.

The event handler QObject::timerEvent() receives timer events.

See also QChronoTimer, QObject::timerEvent(), QObject::startTimer(), and QObject::killTimer().

## Member Function Documentation

### `[explicit, since 6.8]` QTimerEvent::QTimerEvent(Qt::TimerId timerId)

Constructs a timer event object with the timer identifier set to timerId.

This function was introduced in Qt 6.8.

### `[explicit]` QTimerEvent::QTimerEvent(int timerId)

Constructs a timer event object with the timer identifier set to timerId.

### `[since 6.8]` Qt::TimerId QTimerEvent::id() const

Returns the Qt::TimerId of the timer associated with this event, which is the same identifier returned by QObject::startTimer() cast to Qt::TimerId.

This function was introduced in Qt 6.8.

### int QTimerEvent::timerId() const

Returns the unique timer identifier, which is the same identifier as returned from QObject::startTimer().